Subject: Paraphernalia of high life � for less!

From: " Mpls-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 18:52:02 +0200

Luxury watch has always said a lot about the social status of its owner…
Our prices are the lowest on Web and we offer free delivery to all our clients!
Detailed replicas identical with the original brand-name chronometers here!
http://disrich.com